#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
wix: a SAT frontend
Copyright (C) 2009  Jérôme Poisson (goffi@goffi.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""


import wx
from sat_bridge_frontend.DBus import DBusBridgeFrontend
import pdb
import logging
from logging import debug, info, error
from main_window import MainWindow 

### logging configuration FIXME: put this elsewhere ###
logging.basicConfig(level=logging.DEBUG,
                    format='%(message)s')
###


class SATApp(wx.App):
    def __init__(self,  redirect=False, filename=None, useBestVisual=False, clearSigInt=True):
        super(SATApp,self).__init__(redirect, filename, useBestVisual, clearSigInt)

    def OnInit(self):
        self.main = MainWindow()
        self.main.Show(True)
        self.SetTopWindow(self.main)
        return True


sat = SATApp()
sat.MainLoop()
